org.eclipse.viatra.query.tooling.ui.queryexplorer.handlers

## Class AttachVqlEditorRegistrationHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.viatra.query.tooling.ui.queryexplorer.handlers.AttachVqlEditorRegistrationHandler

- All Implemented Interfaces:
    org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

      public class AttachVqlEditorRegistrationHandler
      extends org.eclipse.core.commands.AbstractHandler

  "Attach VQL Editor" registration handler. Attempts to glue itself to an open VQL editor by registering an Xtext model change listener. This listener will listen to resource (model) changes inside the VQL editor and update the Query Explorer accordingly.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachVqlEditorRegistrationHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execute(org.eclipse.core.commands.ExecutionEvent event)`
    `void` | `removeAttachmentRegistrationForFile(org.eclipse.core.resources.IFile f)`
    `boolean` | `thereIsAnAttachedEditorForFile(org.eclipse.core.resources.IFile f)`

    - ### Methods inherited from class org.eclipse.core.commands.AbstractHandler

      `addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachVqlEditorRegistrationHandler

          public AttachVqlEditorRegistrationHandler()

  - ### Method Detail

    - #### thereIsAnAttachedEditorForFile

          public boolean thereIsAnAttachedEditorForFile(org.eclipse.core.resources.IFile f)

    - #### removeAttachmentRegistrationForFile

          public void removeAttachmentRegistrationForFile(org.eclipse.core.resources.IFile f)

    - #### execute

          public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                                   throws org.eclipse.core.commands.ExecutionException

      Throws:
        `org.eclipse.core.commands.ExecutionException`